# $Id: perl-Date-Pcalc.spec 5970 2007-11-08 22:11:43Z dag $
# Authority: dag

%define perl_vendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)
%define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)

%define real_name Date-Pcalc

Summary: Gregorian calendar date calculations
Name: perl-Date-Pcalc
Version: 1.2
Release: 1.2.%{releasetagsuffix}
License: distributable
Group: Applications/CPAN
URL: http://search.cpan.org/dist/Date-Pcalc/

Source: http://www.cpan.org/modules/by-module/Date/Date-Pcalc-%{version}.tar.gz
Packager: Dag Wieers <dag@wieers.com>
Vendor: Dries RPM Repository http://dries.ulyssis.org/rpm/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch: noarch
BuildRequires: perl
BuildRequires: perl(ExtUtils::MakeMaker)
Requires: perl

%description
Gregorian calendar date calculations

%prep
%setup -n %{real_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS="vendor" PREFIX="%{buildroot}%{_prefix}"
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} pure_install

### Clean up buildroot
find %{buildroot} -name .packlist -exec %{__rm} {} \;

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc *.html *.txt
%doc %{_mandir}/man3/Date::Pcalc.3pm*
%{perl_vendorlib}/Date/Pcalc.pm

%changelog
* Sat Apr 08 2006 Dries Verachtert <dries@ulyssis.org> - 1.2-1.2 #5970
- Rebuild for Fedora Core 5.

* Sat Aug 07 2004 Dag Wieers <dag@wieers.com> - 1.2-1
- Initial package. (using DAR)
